<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.135.8.10.122
Name: Accident Section (02)
Description: In diesem Abschnitt wird, falls es sich um einen Unfall handelt, angegeben, ob es sich um einen Notfall, um Versorgungsleiden oder um einen Unfall/Unfallfolgen handelt. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551">
   <title>Accident Section (02)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.122
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]
Item: (F02AccidentSection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.122
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]
Item: (F02AccidentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]"
         id="d20e2575-false-d6219e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(F02AccidentSection): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(F02AccidentSection): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']) &gt;= 1">(F02AccidentSection): Element hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']) &lt;= 1">(F02AccidentSection): Element hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="count(hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &lt;= 1">(F02AccidentSection): Element hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="count(hl7:title) &lt;= 1">(F02AccidentSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]) &gt;= 1">(F02AccidentSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]) &lt;= 1">(F02AccidentSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.122
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]/hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']
Item: (F02AccidentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]/hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']"
         id="d20e2581-false-d6268e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F02AccidentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="string(@root) = ('1.2.276.0.76.3.1.135.8.10.122')">(F02AccidentSection): Der Wert von root MUSS '1.2.276.0.76.3.1.135.8.10.122' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.122
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]/hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (F02AccidentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]/hl7:code[(@code = 'UNFALL' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d20e2586-false-d6283e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F02AccidentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="@nullFlavor or (@code='UNFALL' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(F02AccidentSection): Der Elementinhalt MUSS einer von 'code 'UNFALL' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.122
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]/hl7:title
Item: (F02AccidentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]/hl7:title"
         id="d20e2591-false-d6299e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F02AccidentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="text()='Unfallart'">(F02AccidentSection): Der Elementinhalt von 'hl7:title' MUSS ''Unfallart'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.122
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]
Item: (F02AccidentSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.122']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.121']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="string(@typeCode) = ('COMP')">(F02AccidentSection): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.122-2019-07-18T114551.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(F02AccidentSection): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
