<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.135.8.10.125
Name: Diagnosis Observation (02)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543">
   <title>Diagnosis Observation (02)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.125
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]
Item: (DiagnosisObservation_02)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.125
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]
Item: (DiagnosisObservation_02)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]"
         id="d20e2873-false-d6882e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="string(@classCode) = ('OBS')">(DiagnosisObservation_02): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="string(@moodCode) = ('EVN')">(DiagnosisObservation_02): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="not(@negationInd)">(DiagnosisObservation_02): Attribut @negationInd DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(DiagnosisObservation_02): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']) &gt;= 1">(DiagnosisObservation_02): Element hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']) &lt;= 1">(DiagnosisObservation_02): Element hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:id) &gt;= 1">(DiagnosisObservation_02): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:code[(@code = 'DIAGNOSE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]) &gt;= 1">(DiagnosisObservation_02): Element hl7:code[(@code = 'DIAGNOSE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:code[(@code = 'DIAGNOSE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]) &lt;= 1">(DiagnosisObservation_02): Element hl7:code[(@code = 'DIAGNOSE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(DiagnosisObservation_02): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(DiagnosisObservation_02): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <report role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:value) &lt; 1">(DiagnosisObservation_02): Element hl7:value ist codiert mit Bindungsstärke 'preferred' und enthält ein Code außerhalb des angegebene Wertraums.</report>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:value) &lt;= 1">(DiagnosisObservation_02): Element hl7:value kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]) &lt;= 1">(DiagnosisObservation_02): Element hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.125
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']
Item: (DiagnosisObservation_02)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']"
         id="d20e2881-false-d6955e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisObservation_02): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="string(@root) = ('1.2.276.0.76.3.1.135.8.10.125')">(DiagnosisObservation_02): Der Wert von root MUSS '1.2.276.0.76.3.1.135.8.10.125' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.125
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:id
Item: (DiagnosisObservation_02)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:id"
         id="d20e2886-false-d6969e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisObservation_02): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.125
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:code[(@code = 'DIAGNOSE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]
Item: (DiagnosisObservation_02)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:code[(@code = 'DIAGNOSE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]"
         id="d20e2893-false-d6980e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="@nullFlavor or (@code='DIAGNOSE' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(DiagnosisObservation_02): Der Elementinhalt MUSS einer von 'code 'DIAGNOSE' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.125
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:statusCode[@code = 'completed']
Item: (DiagnosisObservation_02)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:statusCode[@code = 'completed']"
         id="d20e2898-false-d6994e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="@nullFlavor or (@code='completed')">(DiagnosisObservation_02): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.125
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value
Item: (DiagnosisObservation_02)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value"
         id="d20e2903-false-d7012e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisObservation_02): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:qualifier[hl7:name/@code='20228-3']) &lt;= 1">(DiagnosisObservation_02): Element hl7:qualifier[hl7:name/@code='20228-3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:qualifier[hl7:name/@code='8']) &lt;= 1">(DiagnosisObservation_02): Element hl7:qualifier[hl7:name/@code='8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:originalText) &lt;= 1">(DiagnosisObservation_02): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90026
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']
Item: (Laterality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']"
         id="d7009e51-false-d7049e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laterality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="count(hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Laterality): Element hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="count(hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Laterality): Element hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]) &gt;= 1">(Laterality): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]) &lt;= 1">(Laterality): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90026
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Laterality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d7009e66-false-d7081e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laterality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="@nullFlavor or (@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')">(Laterality): Der Elementinhalt MUSS einer von 'code '20228-3' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90026
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]
Item: (Laterality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d7009e71-false-d7100e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laterality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Laterality): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.412 Lateralität (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Laterality): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 1.2.276.0.76.11.412 Lateralität (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90027
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='8']
Item: (Certainty)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='8']"
         id="d7101e28-false-d7121e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Certainty): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="count(hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')]) &gt;= 1">(Certainty): Element hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="count(hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')]) &lt;= 1">(Certainty): Element hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(Certainty): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Certainty): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90027
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')]
Item: (Certainty)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')]"
         id="d7101e43-false-d7153e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Certainty): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="@nullFlavor or (@code='8' and @codeSystem='2.16.840.1.113883.3.7.1.0')">(Certainty): Der Elementinhalt MUSS einer von 'code '8' codeSystem '2.16.840.1.113883.3.7.1.0'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90027
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Certainty)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d7101e48-false-d7172e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Certainty): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Certainty): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.121 S_ICD_DIAGNOSESICHERHEIT (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.125
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:originalText
Item: (DiagnosisObservation_02)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:value/hl7:originalText"
         id="d20e2920-false-d7192e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisObservation_02): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.125
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]
Item: (DiagnosisObservation_02)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]"
         id="d20e2923-false-d7203e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(DiagnosisObservation_02): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]) &gt;= 1">(DiagnosisObservation_02): Element hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]) &lt;= 1">(DiagnosisObservation_02): Element hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.125
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]
Item: (DiagnosisObservation_02)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]"
         id="d20e2927-false-d7225e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(DiagnosisObservation_02): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(DiagnosisObservation_02): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &gt;= 1">(DiagnosisObservation_02): Element hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &lt;= 1">(DiagnosisObservation_02): Element hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(DiagnosisObservation_02): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(DiagnosisObservation_02): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.125
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]/hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (DiagnosisObservation_02)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]/hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d20e2933-false-d7262e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisObservation_02): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="@nullFlavor or (@code='LEISTUNGSBEZEICHNER' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(DiagnosisObservation_02): Der Elementinhalt MUSS einer von 'code 'LEISTUNGSBEZEICHNER' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.135.8.10.125
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (DiagnosisObservation_02)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.135.8.10.125']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]]/hl7:observation[hl7:code[(@code = 'LEISTUNGSBEZEICHNER' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.135.8.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d20e2938-false-d7281e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnosisObservation_02): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190918T161344/tmp-1.2.276.0.76.3.1.135.8.10.125-2019-07-18T140543.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.135.8.11.27-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(DiagnosisObservation_02): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.135.8.11.27 S_KBV_02_Diagnoseart (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
